# ########################################################################## #
#                                                                            #
# RIGHTS TO GET ECR USAGE TOKEN - "gen_get_ecr_token"                        #
#                                                                            #
# ########################################################################## #

resource "aws_iam_policy" "gen_get_ecr_token" {
  name   = "gen_get_ecr_token"
  path   = "/"
  policy = "${data.aws_iam_policy_document.gen_get_ecr_token.json}"
}

# the policy definition. TODO: mabye push that to a file
data "aws_iam_policy_document" "gen_get_ecr_token" {
  statement {
    actions = [
      "ecr:GetAuthorizationToken",
    ]

    resources = [
      "*",
    ]
  }
}

# ########################################################################## #
#                                                                            #
# DEFAULT ASSUME ROLE POLICY FOR ROLES - ... the "default" one, eh? :)       #
#                                                                            #
# ########################################################################## #

data "aws_iam_policy_document" "gen_assume_role_default" {
  statement {
    actions = [
      "sts:AssumeRole",
    ]

    principals = [
      {
        type        = "Service"
        identifiers = ["ec2.amazonaws.com"]
      },
    ]

    effect = "Allow"

    resources = [
      "arn:aws:s3:::*",
    ]
  }
}
