# the policy needed for the AWS batch jobs to save results in S3
# See OSD-466

resource "aws_iam_policy" "team_batch_evaluation" {
  name        = "team-batch-evaluation"
  path        = "/policies/team/"
  description = "save test results in S3 during AWS batch jobs"

  policy = <<EOF
{
  "Version": "2012-10-17",
  "Statement": [
    {
      "Effect": "Allow",
      "Action": [
        "s3:GetObject",
        "s3:PutObject"
      ],
      "Resource": [
        "arn:aws:s3:::our-super-bucket/*"
      ]
    }
  ]
}
EOF
}
